Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
rb_classext_struct Struct Reference

`#include <internal.h>`

## Data Fields
struct st_table * | iv_index_tbl
struct st_table * | iv_tbl
struct rb_id_table * | m_tbl
struct rb_id_table * | const_tbl
struct rb_id_table * | callable_m_tbl
rb_subclass_entry_t * | subclasses
rb_subclass_entry_t ** | parent_subclasses
rb_subclass_entry_t ** | module_subclasses
| In the case that this is an `ICLASS`, `module_subclasses` points to the link in the module's `subclasses` list that indicates that the klass has been included. More...
const VALUE | origin_
const VALUE | refined_class
rb_alloc_func_t | allocator
const VALUE | includer

## Detailed Description

Definition at line 1020 of file internal.h.

## Field Documentation

## ◆ allocator

rb_alloc_func_t rb_classext_struct::allocator

Definition at line 1041 of file internal.h.

## ◆ callable_m_tbl

struct rb_id_table * rb_classext_struct::callable_m_tbl

Definition at line 1027 of file internal.h.

## ◆ const_tbl

struct rb_id_table * rb_classext_struct::const_tbl

Definition at line 1026 of file internal.h.

## ◆ includer

const VALUE rb_classext_struct::includer

Definition at line 1042 of file internal.h.

## ◆ iv_index_tbl

struct st_table * rb_classext_struct::iv_index_tbl

Definition at line 1021 of file internal.h.

## ◆ iv_tbl

struct st_table * rb_classext_struct::iv_tbl

Definition at line 1022 of file internal.h.

## ◆ m_tbl

struct rb_id_table * rb_classext_struct::m_tbl

Definition at line 1024 of file internal.h.

## ◆ module_subclasses

rb_subclass_entry_t ** rb_classext_struct::module_subclasses

In the case that this is an `ICLASS`, `module_subclasses` points to the link in the module's `subclasses` list that indicates that the klass has been included.

Hopefully that makes sense.

Definition at line 1035 of file internal.h.

## ◆ origin_

const VALUE rb_classext_struct::origin_

Definition at line 1039 of file internal.h.

## ◆ parent_subclasses

rb_subclass_entry_t ** rb_classext_struct::parent_subclasses

Definition at line 1029 of file internal.h.

## ◆ refined_class

const VALUE rb_classext_struct::refined_class

Definition at line 1040 of file internal.h.

## ◆ subclasses

rb_subclass_entry_t * rb_classext_struct::subclasses

Definition at line 1028 of file internal.h.

The documentation for this struct was generated from the following files:

- internal.h
- /msysdev/ruby/src/build-x86_64-pc-msys/include/ruby-2.7.0/x86_64-msys/rb_mjit_min_header-2.7.0.h